summaryrefslogtreecommitdiff
path: root/install_dependencies.sh
diff options
context:
space:
mode:
authorJavier Jardón <jjardon@gnome.org>2016-05-15 22:44:22 +0100
committerJavier Jardón <jjardon@gnome.org>2016-05-15 22:46:49 +0100
commit155c828e7674a2c957b4be1771db7de395be6ba0 (patch)
treecb9a1a8d29424ba8739d91d9a0b225d5c71489eb /install_dependencies.sh
parentb4e6cdd23dabe7802ca449d6ca61bfd4c312b983 (diff)
downloadybd-155c828e7674a2c957b4be1771db7de395be6ba0.tar.gz
install_dependencies.sh: Add support for Arch
Diffstat (limited to 'install_dependencies.sh')
-rwxr-xr-xinstall_dependencies.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/install_dependencies.sh b/install_dependencies.sh
index 7d29bc5..df20037 100755
--- a/install_dependencies.sh
+++ b/install_dependencies.sh
@@ -57,8 +57,19 @@ if [ $? -eq 0 ] && [ $installed = false ]; then
installed=true
fi
+# install for Arch
+which pacman 2>&1 > /dev/null
+if [ $? -eq 0 ] && [ $installed = false ]; then
+ sudo pacman -S --noconfirm which make automake gcc gawk git m4 wget
+ if [ $? -ne 0 ]; then
+ echo "Install failed"
+ exit 1
+ fi
+ installed=true
+fi
+
if [ $installed = false ]; then
- echo "No way to install dependencies: [apt|dnf|yum] not found"
+ echo "No way to install dependencies: [apt|dnf|yum|pacman] not found"
exit 1
fi